<?php

// Resource routes  for restaurant
Route::group(['prefix' => set_route_guard('web').'/restaurant'], function () {
    Route::resource('restaurant', 'RestaurantResourceController');
});

// Public  routes for restaurant
Route::get('restaurant/popular/{period?}', 'RestaurantPublicController@popular');
Route::get('restaurants/', 'RestaurantPublicController@index');
Route::get('restaurants/{slug?}', 'RestaurantPublicController@show');


// Resource routes  for addon
Route::group(['prefix' => set_route_guard('web').'/restaurant'], function () {
    Route::resource('addon', 'AddonResourceController');
});

// Public  routes for addon
Route::get('addon/popular/{period?}', 'AddonPublicController@popular');
Route::get('restaurants/', 'AddonPublicController@index');
Route::get('restaurants/{slug?}', 'AddonPublicController@show');


// Resource routes  for category
Route::group(['prefix' => set_route_guard('web').'/restaurant'], function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public  routes for category
Route::get('category/popular/{period?}', 'CategoryPublicController@popular');
Route::get('restaurants/', 'CategoryPublicController@index');
Route::get('restaurants/{slug?}', 'CategoryPublicController@show');


// Resource routes  for menu
Route::group(['prefix' => set_route_guard('web').'/restaurant'], function () {
    Route::resource('menu', 'MenuResourceController');
});

// Public  routes for menu
Route::get('menu/popular/{period?}', 'MenuPublicController@popular');
Route::get('restaurants/', 'MenuPublicController@index');
Route::get('restaurants/{slug?}', 'MenuPublicController@show');


// Resource routes  for review
Route::group(['prefix' => set_route_guard('web').'/restaurant'], function () {
    Route::resource('review', 'ReviewResourceController');
});

// Public  routes for review
Route::get('review/popular/{period?}', 'ReviewPublicController@popular');
Route::get('restaurants/', 'ReviewPublicController@index');
Route::get('restaurants/{slug?}', 'ReviewPublicController@show');

