<?php

namespace Restaurant\Restaurant\Repositories\Eloquent;

use Restaurant\Restaurant\Interfaces\MenuRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MenuRepository extends BaseRepository implements MenuRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('restaurant.restaurant.menu.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('restaurant.restaurant.menu.model.model');
    }
}
