<?php

namespace Restaurant\Restaurant\Repositories\Eloquent;

use Restaurant\Restaurant\Interfaces\RestaurantRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class RestaurantRepository extends BaseRepository implements RestaurantRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('restaurant.restaurant.restaurant.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('restaurant.restaurant.restaurant.model.model');
    }
}
