<?php

namespace Restaurant\Restaurant\Repositories\Eloquent;

use Restaurant\Restaurant\Interfaces\ReviewRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ReviewRepository extends BaseRepository implements ReviewRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('restaurant.restaurant.review.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('restaurant.restaurant.review.model.model');
    }
}
